<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
      v:schemaLocation="https://fluidtypo3.org/schemas/vhs-master.xsd"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
      data-namespace-typo3-fluid="true">

<body>

<f:section name="item">
    <f:if condition="{newsItem.falMedia}">
        <f:then>
            <f:if condition="{newsItem.falMediaPreviews}">
                <f:then>
                    <f:alias map="{mediaElement: newsItem.falMediaPreviews.0}">
                        <f:if condition="{mediaElement.originalResource.type} == 2">
                            <f:variable name="imageSize">{drk:imageData(imgPath: '{f:uri.image(src: mediaElement.uid, treatIdAsReference: 1, width: 660)}')}</f:variable>
                            <f:variable name="imageAlt">{f:if(condition: mediaElement.originalResource.alternative, then: mediaElement.originalResource.alternative, else: newsItem.title)}</f:variable>
                            <f:variable name="imageTitle">{f:if(condition: mediaElement.originalResource.title, then: mediaElement.originalResource.title, else: newsItem.title)}</f:variable>
                            <figure>
                                <img src="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: '1', width: '640')}"
                                     alt="{imageAlt}"
                                     title="{imageTitle}"
                                     {imageSize -> f:format.raw()}
                                class="o-media__img lazyload"
                                />
                            </figure>
                            <noscript>
                                <f:media file="{mediaElement}"
                                         alt="{imageAlt}"
                                         title="{imageTitle}"
                                         class="o-media__img"
                                         fileExtension="jpeg"
                                />
                            </noscript>
                        </f:if>
                        <f:if condition="{mediaElement.originalResource.type} == 4">
                            <figure>
                                <f:media file="{mediaElement}" alt="{mediaElement.originalResource.alternative}"
                                         title="{mediaElement.originalResource.title}"
                                         class="o-media__img"
                                         width="290"
                                         fileExtension="jpeg"
                                />
                            </figure>
                        </f:if>
                        <f:if condition="{mediaElement.originalResource.type} == 5">
                            <figure>
                                <f:media file="{mediaElement}" alt="{mediaElement.originalResource.alternative}"
                                         title="{mediaElement.originalResource.title}"
                                         class="o-media__img"
                                         width="290"
                                         fileExtension="jpeg"
                                />
                            </figure>
                        </f:if>
                    </f:alias>
                </f:then>
                <f:else>
                    <f:if condition="{settings.displayDummyIfNoMedia}">
                        <f:render section="dummyMedia" arguments="{_all}" />
                    </f:if>
                </f:else>
            </f:if>
        </f:then>
        <f:else>
            <f:if condition="{newsItem.media}">
                <!-- media preview element -->
                <f:then>
                    <f:if condition="{newsItem.mediaPreviews}">
                        <f:then>
                            <f:alias map="{mediaElement: newsItem.mediaPreviews.0}">
                                <f:if condition="{mediaElement.type} == 0">
                                    <f:variable name="imageSize">{drk:imageData(imgPath: '{f:uri.image(src: mediaElement.uid, treatIdAsReference: 1, width: 660)}')}</f:variable>
                                    <f:variable name="imageAlt">{f:if(condition: mediaElement.originalResource.alternative, then: mediaElement.originalResource.alternative, else: newsItem.title)}</f:variable>
                                    <f:variable name="imageTitle">{f:if(condition: mediaElement.originalResource.title, then: mediaElement.originalResource.title, else: newsItem.title)}</f:variable>
                                    <img src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7"
                                         data-sizes="auto"
                                         data-src="{f:uri.image(src: '{mediaElement.uid}', treatIdAsReference: '1', width: '290', fileExtension: 'jpeg')}"
                                         data-srcset="{f:uri.image(src:'{mediaElement.uid}', treatIdAsReference: '1', width: '660', fileExtension: 'jpeg')} 450w, {f:uri.image(src:'{mediaElement.uid}', treatIdAsReference: '1', width: '320', fileExtension: 'jpeg')} 390w"
                                         alt="{imageAlt}"
                                         title="{imageTitle}"
                                         {imageSize -> f:format.raw()}
                                    class="o-media__img lazyload"
                                    />
                                    <noscript>
                                        <f:media file="{mediaElement}"
                                                 alt="{imageAlt}"
                                                 title="{imageTitle}"
                                                 class="o-media__img"
                                                 fileExtension="jpeg"
                                        />
                                    </noscript>
                                </f:if>
                                <f:if condition="{mediaElement.type} == 1">
                                    <f:render partial="Detail/MediaVideo" arguments="{mediaElement: mediaElement}"/>
                                </f:if>
                                <f:if condition="{mediaElement.type} == 2">
                                    <f:render partial="Detail/MediaHtml" arguments="{mediaElement: mediaElement}"/>
                                </f:if>
                            </f:alias>
                        </f:then>
                        <f:else>
                            <f:if condition="{settings.displayDummyIfNoMedia}">
                                <f:render section="dummyMedia" arguments="{_all}" />
                            </f:if>
                        </f:else>
                    </f:if>
                </f:then>
                <f:else>
                    <f:if condition="{settings.displayDummyIfNoMedia}">
                        <f:render section="dummyMedia" arguments="{_all}" />
                    </f:if>
                </f:else>
            </f:if>
        </f:else>
    </f:if>
</f:section>

<f:section name="dummyMedia">
    <figure class="c-teaser__img c-teaser__img--left   o-media__img"></figure>
</f:section>
